Kerbal Space Program - Bug #24541

Thrust limiter settings not getting imported and craft import error
01/04/2020 10:17 AM - Delta_3-1

Status: Updated Start date: 01/04/2020
Severity: Low % Done: 10%
Assignee: Robert.Keech
Category: Gameplay
Target version:
Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

| am trying to import a craft | made in v1.7.3 in my new v1.8.1 install. The attached craft file has core stage throttle limited to 50% and
the side boosters to 40% which works fine in v1.7.3 but when | copy the same file to v1.8.1 something (latest steam version) all those
settings are not recognized and all engines thrust limiter is reset to 100%. | have a modded game but this craft is all stock parts.

Also | am unable to load certain crafts (including stock crafts like AeroEquus and this craft too) that when | press load button nothing
happens but | can load them using a mod called KSP Craft Organizer.

History

#1 - 01/06/2020 02:40 PM - Robert.Keech

- Assignee set to Robert.Keech

#2 - 01/06/2020 02:53 PM - Robert.Keech

- Status changed from New to Need More Info

I've loaded the attached craft in a stock 1.7.3 sandbox game and the craft file is unable to be loaded due to locked or invalid parts. This is because
the attached craft contains parts from the mod pack 'Near Future Launch Vehicles' and 'Smart Parts' and therefore is not a stock craft.
Please remove these parts from the craft in 1.7.3 and then try importing the craft to 1.8.1 to see if the issue still persists

#3 - 01/12/2020 08:36 AM - Delta_3-1

- File Sputnik - 1 KSP.craft added

- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

Robert.Keech wrote:

I've loaded the attached craft in a stock 1.7.3 sandbox game and the craft file is unable to be loaded due to locked or invalid parts. This is
because the attached craft contains parts from the mod pack 'Near Future Launch Vehicles' and 'Smart Parts' and therefore is not a stock craft.
Please remove these parts from the craft in 1.7.3 and then try importing the craft to 1.8.1 to see if the issue still persists

Sorry my bad. | almost forgot RCS and Smart part. Here is edited crafts file with all stock parts. Same bug. This happens with all crafts, not just this
one.

#4 - 01/12/2020 08:50 AM - Delta_3-1
- File deleted (Sputnik - 1.craft)

#5 - 01/15/2020 03:11 PM - Robert.Keech

Ive opened the attached craft in 1.7.3, updated to 1.8.1 and opened the craft again and all of the thrust limiter settings haven't changed.
The attached craft still appears to have parts from mods attached as there is a warning message of 'Unknown Part Modules' on the attached craft.

It says the craft is missing the following part modules
ModuleAGX

MechJebCore

ParkingBrakeModule
TweakScale
USI_ModuleRecycleablePart
KOSNameTag
TrajectoriesVesselSettings
FlightEngineerModule
kOSProcessor
ModuleControllableEmissive
ModuleResourceLevellndicator
ModuleResourceEnabledindicator
ModuleDataTransmitterIndicator
ModuleScienceDatalndicator
ModuleScienceAvailabilityIndicator
ModuleDecouplerShroud
tjis_DecouplerLight
ModuleRestockModifyFairingMaterials
EngineLightEffect
ModuleReactionWheelIndicator

Files

Sputnik - 1 KSP.craft 332 KB
